// HomingDlg.h : header file
//

#pragma once
#include "afxwin.h"


#include "i8196F.h"

// CHomingDlg dialog
class CHomingDlg : public CDialog
{
// Construction
public:
	CHomingDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_HOMING_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_cmbAxisNo;
	CComboBox m_cmbSlotNo;

	HBITMAP m_hBmpErr;
	HBITMAP m_hBmpOnDI;
	HBITMAP m_hBmpOff;

	void InitialI8196F(U8 SlotNo);
	afx_msg void OnCbnSelchangecmbslotno();
	afx_msg void OnCbnSelchangecmbaxisno();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedbtnreset();
	afx_msg void OnBnClickedbtnsvon();
	afx_msg void OnBnClickedbtnralm();

	afx_msg void OnBnClickedbtnmove();
	afx_msg void OnBnClickedbtnstop();
	afx_msg void OnBnClickedbtnsethome();
	afx_msg void OnBnClickedbtnhomemove();
	afx_msg void OnBnClickedbtnstophome();
	CStatic m_stcFunErr;
	afx_msg void OnStnClickedstcfunerr();
};
